/**
 * XXX needed?
 * IPRecorder?
 */
package org.bucksch.zeipis.recorder;
import java.sql.SQLException;
import org.bucksch.zeipis.all.*;
import org.bucksch.zeipis.store.*;

abstract public class TVRecorder implements Source
{
  public TVRecorder()
  	throws Misconfiguration, SQLException
  {
  }

  abstract public void startRecording(TVChannel tvchannel)
    throws Misconfiguration, CantUseTVCard;
  abstract public void stopRecording()
    throws CantUseTVCard;

  // Getter
  //abstract public TVChannel channel();
}
